Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412172 - UI lag due to more than 3650 messages in notification
Summary: UI lag due to more than 3650 messages in notification
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Martin Hradil
QA Contact: Shveta
URL:
Whiteboard: notification
Depends On:
Blocks: 1448045 1448046
TreeView+ depends on / blocked
 
Reported: 2017-01-11 12:51 UTC by vaclav.miller
Modified: 2018-03-06 15:20 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1448045 1448046 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:20:51 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description vaclav.miller 2017-01-11 12:51:51 UTC
Description of problem:

It was not possible to work with UI due to lags (complete web browser including other, not CFME related tabs were frozen)

There was identified more 3650 unread messages in notification.
In production.log were messages:
[----] I, [2017-01-11T13:30:37.001241 #17205:ea0a88]  INFO -- : Started GET "/api/notifications?expand=resources&attributes=details"
 for 193.182.20.95 at 2017-01-11 13:30:37 +0100
[----] I, [2017-01-11T13:30:37.031701 #17205:ea0a88]  INFO -- : Processing by Api::NotificationsController#show as JSON
[----] I, [2017-01-11T13:30:37.031938 #17205:ea0a88]  INFO -- :   Parameters: {"expand"=>"resources", "attributes"=>"details"}
[----] I, [2017-01-11T13:30:58.960555 #17205:ea0a88]  INFO -- : Completed 200 OK in 21928ms (Views: 0.4ms | ActiveRecord: 0.0ms)

It was not sufficient just to "Mark us read".
To resolve issue, all messages from notification had to be deleted.

Martin Hradil helped to troubleshoot this issue.

Version-Release number of selected component (if applicable):


How reproducible:
Generate meny messages for notification.
Browse through UI

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 7 CFME Bot 2017-04-22 05:02:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e96b024a9e3d6b1fb75107d5fe364f982a311b9c

commit e96b024a9e3d6b1fb75107d5fe364f982a311b9c
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Mar 8 17:52:48 2017 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Apr 19 13:12:01 2017 +0000

    notification-drawer - only render group items when the group is open
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412172

 app/views/static/notification_drawer/notification-drawer.html.haml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 10 vaclav.miller 2017-07-13 14:21:12 UTC
Hello, there is update in 5.7.3 where only first 100 messages is generated that really improved performance.

But originally there were available "buttons" to Mark all messages as read / Delete all of them. 
These "buttons" are not available. you have to "delete" messages one by one clicking on "x" icon at each message. Then at some moment (or never) appears buttons with options to Mark all as read / Delete all.

It would be really useful if these "buttons" will be displayed al the time. Or at least it will be possible to scroll through list of notification to get to "buttons".

Thanks,
Vaclav

Comment 11 Martin Hradil 2017-07-13 14:30:38 UTC
Vaclav.. aah, thanks for noticing, the buttons are actually always there, but notification area doesn't resize properly so they can move off screen.

If you want to track that, it's https://bugzilla.redhat.com/show_bug.cgi?id=1445689 .

Comment 12 Shveta 2017-10-31 19:19:15 UTC
Fixed in 5.9.0.4.20171024163837_ef71ea6


Note You need to log in before you can comment on or make changes to this bug.